#include <stdio.h>
#include <string.h>
#include <mysql.h>
/*
System Information:
-------------------
debian_version 8.2
mysql  Ver 15.1 Distrib 10.0.20-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2

Build:
------
gcc -g -Wall -I/usr/include/mariadb -lmysqlclient Test_MariaDB_main.c 

Execute:
--------
./a.out
*/
#define SQL(s) executeSQL(s,sock)

int executeSQL(const char *sql, MYSQL *sock)
{
    int sql_rc = mysql_real_query(sock, sql, strlen(sql));

    if(sql_rc){
    	printf("could not evaluate expression \"%s\"\n***Error: %i %s\n",sql,sql_rc,mysql_error(sock));
    }else{
    	printf("executed:\n%s\n\n",sql);
    }
    return sql_rc;
}

int main(int argc, char **argv)
{
    MYSQL *sock = NULL;

    sock = mysql_init(sock);
	if (!mysql_real_connect(sock /*MYSQL **/,
			    (char *)"localhost", /*host,*/
			    (char *)"root",     /*user,*/
			    (char *)"root", /*passwd,*/
			    (char *)NULL,               /*db,*/
			    0,                       /*port,*/
    			"/var/run/mysqld/mysqld.sock",					/*or NULL*/
			    0                           /*clientflag*/)) {
        const char *message = mysql_error(sock);
        printf("no connection to localhost with -uroot -proot /var/run/mysqld/mysqld.sock\n%s\n",message);
        return 0;
    }
    SQL("set names utf8;");
    // SQL("drop database Test_MariaDB;");
    // SQL("create database Test_MariaDB;");
    SQL("use intars_000141;");
    // SQL("create  table vid_kunde (`abc` char(1) NOT NULL, `adressfeld` text NOT NULL, `angebot_per_mail` CHAR(1) NOT NULL, `anrede` varchar(40) NOT NULL, `anz_keywords` INTEGER NOT NULL, `ausstaende` DECIMAL(11,2) NOT NULL, `bank` varchar(40) NOT NULL, `bemerkung` text NOT NULL, `bemerkung1` varchar(60) NOT NULL, `bemerkung2` varchar(60) NOT NULL, `besuchber1` varchar(60) NOT NULL, `besuchber2` varchar(60) NOT NULL, `besuchber3` varchar(60) NOT NULL, `besuchdat1` DATE NOT NULL, `besuchdat2` DATE NOT NULL, `besuchdat3` DATE NOT NULL, `besuchdat4` DATE NOT NULL, `besuchdat5` DATE NOT NULL, `besuchdat6` DATE NOT NULL, `besuchplan` INTEGER NOT NULL, `besuchvtr1` varchar(25) NOT NULL, `besuchvtr2` varchar(25) NOT NULL, `besuchvtr3` varchar(25) NOT NULL, `besuchvtr4` varchar(25) NOT NULL, `besuchvtr5` varchar(25) NOT NULL, `besuchvtr6` varchar(25) NOT NULL, `bic` varchar(40) NOT NULL, `blz` varchar(8) NOT NULL, `branche` varchar(40) NOT NULL, `briefanred` varchar(80) NOT NULL, `cdate` DATETIME NOT NULL, `cuser` varchar(25) NOT NULL, `deck_beit` INTEGER NOT NULL, `dupident` varchar(80) NOT NULL, `einkverb` INTEGER NOT NULL, `einzug` CHAR(1) NOT NULL, `email` varchar(60) NOT NULL, `entfernung` INTEGER NOT NULL, `fibu` CHAR(1) NOT NULL, `form_vtr` CHAR(1) NOT NULL, `funktelefo` varchar(20) NOT NULL, `geburtstag` DATE NOT NULL, `gehoert_zu` INTEGER NOT NULL, `gm_url` text NOT NULL, `is_duplette` CHAR(1) NOT NULL, `kdgruppe` varchar(4) NOT NULL, `kdnrab` INTEGER NOT NULL, `kdnrre` INTEGER NOT NULL, `kommunikation` text NOT NULL, `kontonumme` varchar(20) NOT NULL, `kuabc` char(1) NOT NULL, `kualzuab` char(1) NOT NULL, `kuartrab1` INTEGER NOT NULL, `kuartrab2` INTEGER NOT NULL, `kuartrab3` INTEGER NOT NULL, `kuartrab4` INTEGER NOT NULL, `kuartrab5` INTEGER NOT NULL, `kuartrab6` INTEGER NOT NULL, `kuartrab7` INTEGER NOT NULL, `kuartrab8` INTEGER NOT NULL, `kuartrab9` INTEGER NOT NULL, `kuauslager` char(2) NOT NULL, `kubran` INTEGER NOT NULL, `kufracht` DECIMAL(4,1) NOT NULL, `kuliefbed` char(2) NOT NULL, `kundenart` INTEGER NOT NULL, `kundennumm` INTEGER NOT NULL PRIMARY KEY, `kuprovis` DECIMAL(4,1) NOT NULL, `kutourtag` INTEGER NOT NULL, `kuumsatz` DECIMAL(10,2) NOT NULL, `kuumsvj` DECIMAL(10,2) NOT NULL, `kuumsvvj` DECIMAL(10,2) NOT NULL, `kuvershinw` varchar(200) NOT NULL, `kuzahlbed` char(3) NOT NULL, `ladressfeld` text NOT NULL, `land_pb` char(2) NOT NULL, `lang` char(2) NOT NULL, `lanrede` varchar(40) NOT NULL, `ldate` DATETIME NOT NULL, `letzte_akte` DATETIME NOT NULL, `letzte_lieferun` INTEGER NOT NULL, `letzte_rechnung` INTEGER NOT NULL, `letzter_auftrag` INTEGER NOT NULL, `letzterauf` DATE NOT NULL, `letztes_anschreiben` INTEGER NOT NULL, `letztrech` DATE NOT NULL, `lieferant` CHAR(1) NOT NULL, `lieferstopp` CHAR(1) NOT NULL, `liefkopi` INTEGER NOT NULL, `limit1` DECIMAL(14,2) NOT NULL, `lkwdate` DATETIME NOT NULL, `lland_pb` char(2) NOT NULL, `lmahnung` DATE NOT NULL, `lnachname` varchar(40) NOT NULL, `lname` varchar(60) NOT NULL, `lort` varchar(60) NOT NULL, `lplz` varchar(8) NOT NULL, `lstrasse` varchar(60) NOT NULL, `lsv` CHAR(1) NOT NULL, `luser` varchar(25) NOT NULL, `lvorname` varchar(40) NOT NULL, `lzusatz` varchar(60) NOT NULL, `lzusatz2` varchar(60) NOT NULL, `lzusatz3` varchar(60) NOT NULL, `mahnprofil` varchar(10) NOT NULL, `mahnsperre` CHAR(1) NOT NULL, `matchcode` varchar(30) NOT NULL, `mengenrabatt` CHAR(1) NOT NULL, `messe` varchar(10) NOT NULL, `migriert` CHAR(1) NOT NULL, `mitkurz` varchar(25) NOT NULL, `mwstkennun` varchar(8) NOT NULL, `mwstkennuninfo` varchar(15) NOT NULL, `nachname` varchar(40) NOT NULL, `name` varchar(60) NOT NULL, `oeffnungszeiten` text NOT NULL, `opnummer` varchar(9) NOT NULL, `ort` varchar(60) NOT NULL, `packzetteltext` varchar(200) NOT NULL, `plz` varchar(8) NOT NULL, `plzpostfac` varchar(8) NOT NULL, `pm_mandant` varchar(6) NOT NULL, `pm_std_satz` varchar(35) NOT NULL, `postfachnu` varchar(40) NOT NULL, `privat` CHAR(1) NOT NULL, `privatkunde` CHAR(1) NOT NULL, `produktkatalog` CHAR(1) NOT NULL, `rabatt` DECIMAL(5,2) NOT NULL, `rabattgrup` varchar(10) NOT NULL, `radressfeld` text NOT NULL, `ranking` INTEGER NOT NULL, `ranrede` varchar(40) NOT NULL, `rechnungs_kopie` CHAR(1) NOT NULL, `rland_pb` char(2) NOT NULL, `rnachname` varchar(40) NOT NULL, `rname` varchar(60) NOT NULL, `rort` varchar(60) NOT NULL, `rplz` varchar(8) NOT NULL, `rstrasse` varchar(60) NOT NULL, `rvorname` varchar(40) NOT NULL, `rzusatz` varchar(60) NOT NULL, `rzusatz2` varchar(60) NOT NULL, `rzusatz3` varchar(60) NOT NULL, `sachbearb1` varchar(30) NOT NULL, `sachbearb2` varchar(30) NOT NULL, `skype` varchar(40) NOT NULL, `status` CHAR(1) NOT NULL, `steuercode` varchar(20) NOT NULL, `strasse` varchar(60) NOT NULL, `swift` varchar(60) NOT NULL, `telefax` varchar(30) NOT NULL, `telefon` varchar(30) NOT NULL, `telefon2` varchar(30) NOT NULL, `telefon_such` varchar(90) NOT NULL, `terrorist` CHAR(1) NOT NULL, `ts_301` CHAR(1) NOT NULL, `ts_331` CHAR(1) NOT NULL, `ts_import` DATETIME NOT NULL, `umsatz2009` DECIMAL(11,2) NOT NULL, `umsatz2010` DECIMAL(11,2) NOT NULL, `umsatz2011` DECIMAL(11,2) NOT NULL, `umsatz2012` DECIMAL(11,2) NOT NULL, `umsatz2013` DECIMAL(11,2) NOT NULL, `umsatz2014` DECIMAL(11,2) NOT NULL, `umsatz2015` DECIMAL(11,2) NOT NULL, `umsatz2016` DECIMAL(11,2) NOT NULL, `umsatzgesamt` DECIMAL(11,2) NOT NULL, `umsatzsteu` varchar(20) NOT NULL, `unsere_kdnr` varchar(20) NOT NULL, `unsere_lief_nr` varchar(15) NOT NULL, `versandart` varchar(10) NOT NULL, `vorname` varchar(40) NOT NULL, `waehrung_pb` char(3) NOT NULL, `warntext` varchar(200) NOT NULL, `warntext_buch` varchar(200) NOT NULL, `webadresse` varchar(50) NOT NULL, `zahlungszi` varchar(10) NOT NULL, `zusatz` varchar(60) NOT NULL, `zusatz2` varchar(60) NOT NULL, `zusatz3` varchar(60) NOT NULL);");

    SQL("select t1.`abc`,t1.`adressfeld`,t1.`angebot_per_mail`,t1.`anrede`,t1.`anz_keywords`,t1.`ausstaende`,t1.`bank`,t1.`bemerkung`,t1.`bemerkung1`,t1.`bemerkung2`,t1.`besuchber1`,t1.`besuchber2`,t1.`besuchber3`,t1.`besuchdat1`,t1.`besuchdat2`,t1.`besuchdat3`,t1.`besuchdat4`,t1.`besuchdat5`,t1.`besuchdat6`,t1.`besuchplan`,t1.`besuchvtr1`,t1.`besuchvtr2`,t1.`besuchvtr3`,t1.`besuchvtr4`,t1.`besuchvtr5`,t1.`besuchvtr6`,t1.`bic`,t1.`blz`,t1.`branche`,t1.`briefanred`,t1.`cdate`,t1.`cuser`,t1.`deck_beit`,t1.`dupident`,t1.`einkverb`,t1.`einzug`,t1.`email`,t1.`entfernung`,t1.`fibu`,t1.`form_vtr`,t1.`funktelefo`,t1.`geburtstag`,t1.`gehoert_zu`,t1.`gm_url`,t1.`is_duplette`,t1.`kdgruppe`,t1.`kdnrab`,t1.`kdnrre`,t1.`kommunikation`,t1.`kontonumme`,t1.`kuabc`,t1.`kualzuab`,t1.`kuartrab1`,t1.`kuartrab2`,t1.`kuartrab3`,t1.`kuartrab4`,t1.`kuartrab5`,t1.`kuartrab6`,t1.`kuartrab7`,t1.`kuartrab8`,t1.`kuartrab9`,t1.`kuauslager`,t1.`kubran`,t1.`kufracht`,t1.`kuliefbed`,t1.`kundenart`,t1.`kundennumm`,t1.`kuprovis`,t1.`kutourtag`,t1.`kuumsatz`,t1.`kuumsvj`,t1.`kuumsvvj`,t1.`kuvershinw`,t1.`kuzahlbed`,t1.`ladressfeld`,t1.`land_pb`,t1.`lang`,t1.`lanrede`,t1.`ldate`,t1.`letzte_akte`,t1.`letzte_lieferun`,t1.`letzte_rechnung`,t1.`letzter_auftrag`,t1.`letzterauf`,t1.`letztes_anschreiben`,t1.`letztrech`,t1.`lieferant`,t1.`lieferstopp`,t1.`liefkopi`,t1.`limit1`,t1.`lkwdate`,t1.`lland_pb`,t1.`lmahnung`,t1.`lnachname`,t1.`lname`,t1.`lort`,t1.`lplz`,t1.`lstrasse`,t1.`lsv`,t1.`luser`,t1.`lvorname`,t1.`lzusatz`,t1.`lzusatz2`,t1.`lzusatz3`,t1.`mahnprofil`,t1.`mahnsperre`,t1.`matchcode`,t1.`mengenrabatt`,t1.`messe`,t1.`migriert`,t1.`mitkurz`,t1.`mwstkennun`,t1.`mwstkennuninfo`,t1.`nachname`,t1.`name`,t1.`oeffnungszeiten`,t1.`opnummer`,t1.`ort`,t1.`packzetteltext`,t1.`plz`,t1.`plzpostfac`,t1.`pm_mandant`,t1.`pm_std_satz`,t1.`postfachnu`,t1.`privat`,t1.`privatkunde`,t1.`produktkatalog`,t1.`rabatt`,t1.`rabattgrup`,t1.`radressfeld`,t1.`ranking`,t1.`ranrede`,t1.`rechnungs_kopie`,t1.`rland_pb`,t1.`rnachname`,t1.`rname`,t1.`rort`,t1.`rplz`,t1.`rstrasse`,t1.`rvorname`,t1.`rzusatz`,t1.`rzusatz2`,t1.`rzusatz3`,t1.`sachbearb1`,t1.`sachbearb2`,t1.`skype`,t1.`status`,t1.`steuercode`,t1.`strasse`,t1.`swift`,t1.`telefax`,t1.`telefon`,t1.`telefon2`,t1.`telefon_such`,t1.`terrorist`,t1.`ts_301`,t1.`ts_331`,t1.`ts_import`,t1.`umsatz2009`,t1.`umsatz2010`,t1.`umsatz2011`,t1.`umsatz2012`,t1.`umsatz2013`,t1.`umsatz2014`,t1.`umsatz2015`,t1.`umsatz2016`,t1.`umsatzgesamt`,t1.`umsatzsteu`,t1.`unsere_kdnr`,t1.`unsere_lief_nr`,t1.`versandart`,t1.`vorname`,t1.`waehrung_pb`,t1.`warntext`,t1.`warntext_buch`,t1.`webadresse`,t1.`zahlungszi`,t1.`zusatz`,t1.`zusatz2`,t1.`zusatz3` from vid_kunde t1   where status = 'J' and (privat = 'N' or cuser = 'Administrator')   limit 0,10 ;");

	mysql_close(sock);
    return 0;
}
